<!doctype HTML>
<html>
    <head>
        <meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
    </head>
    <script src="https://aframe.io/releases/0.9.2/aframe.min.js"></script>
    <script src="https://raw.githack.com/jeromeetienne/AR.js/master/aframe/build/aframe-ar.min.js"></script>
    <script src="https://raw.githack.com/donmccurdy/aframe-extras/master/dist/aframe-extras.loaders.min.js"></script>
    <script src='./scripts/index.js'></script>
    <body style='margin : 0px; overflow: hidden;'>

        <a-scene embedded vr-mode-ui="enabled: false" arjs="sourceType: webcam; debugUIEnabled: false">

        <a-assets>
        	<audio id="roar_sound" src="./sounds/hungarian_dance_5.mp3" response-type="arraybuffer"></audio>
            <a-asset-item id="animated-asset" src="./models/WazzApps_Worm.glb"></a-asset-item>
        </a-assets>

        
    	<a-marker emitevents="true" id="animated-marker" preset='custom' type='pattern' url='https://raw.githubusercontent.com/bogdan-molodets/patt-storage/master/orange.patt' markerhandler>
            <a-entity
            	id='warm'
                animation-mixer
                gltf-model="#animated-asset"
                scale="1 1 1"
                crossOrigin="anonymous" dinoInteractionListener>
            </a-entity>
            <a-entity sound="src: #roar_sound; volume: 1; loop: true"></a-entity>
        </a-marker>	

        <a-entity camera></a-entity>
        </a-scene>

    </body>
</html>
